# site-logo

<!-- Auto Generated Below -->

## Properties

| Property | Attribute | Description | Type                                                           | Default              |
| -------- | --------- | ----------- | -------------------------------------------------------------- | -------------------- |
| `color`  | `color`   |             | `ColorVariant.black \| ColorVariant.white`                     | `ColorVariant.black` |
| `label`  | `label`   |             | `string`                                                       | `undefined`          |
| `size`   | `size`    |             | `SiteLogoSize.big \| SiteLogoSize.large \| SiteLogoSize.small` | `SiteLogoSize.big`   |
| `url`    | `url`     |             | `string`                                                       | `undefined`          |

## Dependencies

### Used by

- [hy-menu](../../navigation/menu)
- [hy-site-header](..)
- [hy-user-login-form](../../hy-user-login-form)

### Depends on

- [hy-icon](../../icon)

### Graph

```mermaid
graph TD;
  hy-site-logo --> hy-icon
  hy-menu --> hy-site-logo
  hy-site-header --> hy-site-logo
  hy-user-login-form --> hy-site-logo
  style hy-site-logo fill:#f9f,stroke:#333,stroke-width:4px
```

---

Helsinki University Design System
